<?php
use WooBooking\CMS\Utilities\Utility;

defined('_WPBOOKINGPRO_EXEC') or die;
extract($displayData);

WpBookingPro_Html::_('jquery.framework');
WpBookingPro_Html::_('jquery.auto_numeric');
WpBookingPro_Html::_('script', 'system/html5fallback.js', array('version' => 'auto', 'relative' => true, 'conditional' => 'lt IE 9'));

$list = '';

if ($options)
{
	$list = 'list="' . $id . '_datalist"';
}

$autocomplete = !$autocomplete ? ' autocomplete="off"' : ' autocomplete="' . $autocomplete . '"';
$autocomplete = $autocomplete === ' autocomplete="on"' ? '' : $autocomplete;

$attributes = array(
	!empty($class) ? 'class="' . $class . '"' : '',
	!empty($size) ? 'size="' . $size . '"' : '',
	$disabled ? 'disabled' : '',
	$readonly ? 'readonly' : '',
	$list,
	strlen($hint) ? 'placeholder="' . htmlspecialchars($hint, ENT_COMPAT, 'UTF-8') . '"' : '',
	$onchange ? ' onchange="' . $onchange . '"' : '',
	!empty($maxLength) ? $maxLength : '',
	$required ? 'required aria-required="true"' : '',
	$autocomplete,
	$autofocus ? ' autofocus' : '',
	$spellcheck ? '' : 'spellcheck="false"',
	!empty($inputmode) ? $inputmode : '',
	!empty($pattern) ? 'pattern="' . $pattern . '"' : '',
);
$doc=Factory::getDocument();

$id_by_name = "element_field_" . str_replace(array('[', ']'), '_', $name);
?>
<div id="<?php wpbookingpro_render_content($id_by_name) ?>" class="field-price">
    <div class="wrapper-price" >
        <input type="text" data-a-sign="$" value="<?php wpbookingpro_render_content($value) ?>" class="form-control price" />
        <input type="hidden" name="<?php wpbookingpro_render_content($name); ?>" value="<?php wpbookingpro_render_content($value) ?>" />
    </div>
</div>

<?php
$doc->addScriptApplySelector('.field-price','field_price',array(
    "input_name"=>  $name,
),'layouts/WooBooking/form/field/jquery.price.js');
